# Uses of Interface
javassist.util.proxy.MethodFilter

Packages that use MethodFilter
Package
Description
javassist.util.proxy
Dynamic proxy (similar to `Enhancer` of cglib).

## Uses of MethodFilter in javassist.util.proxy

Methods in javassist.util.proxy with parameters of type MethodFilter
Modifier and Type
Method
Description
`Class<?>`
ProxyFactory.`createClass(MethodHandles.Lookup lookup, MethodFilter filter)`
Generates a proxy class using the supplied filter.
`Class<?>`
ProxyFactory.`createClass(MethodFilter filter)`
Generates a proxy class using the supplied filter.
`void`
ProxyFactory.`setFilter(MethodFilter mf)`
Sets a filter that selects the methods that will be controlled by a handler.